# pt-list

`pt-list` используется для вертикального представления повторяющихся сущностей. Отлично подходит для отображения истории, контактов, вертикальных меню.

```html
<div class="pt-list pt-list_border pt-list_view_default pt-list_space-a_m pt-list_distribute_between">
    <div class="pt-list__item"></div>
    <div class="pt-list__item"></div>
    <div class="pt-list__item"></div>
</div>
```

## Живые примеры и дизайн

[pt-list на whitepaper.tools](http://whitepaper.tools/doc.html#/pt-list)

___


## Модификаторы блока

Модификатор      | Значение                                      | Описание
---------------- | --------------------------------------------- | ----------------------------------
`bordered`       | –                                             | Устанавливает границу между элементами
`distribute`     | `between` `default`                           | Распределяет контент внутри элементов `item` по горизонтали
`vertical-align` | `baseline` `center` `top`                     | Распределяет контент внутри элементов `item` по вертикали
`space-a`        | `2xs` `xs` `s` `m` `l` `xl` `2xl` `3xl` `4xl` | Внутренние отступы со всех сторон
`space-h`        | `2xs` `xs` `s` `m` `l` `xl` `2xl` `3xl` `4xl` | Внутренние отступы по горизонтали
`space-v`        | `2xs` `xs` `s` `m` `l` `xl` `2xl` `3xl` `4xl` | Внутренние отступы по вертикали
`space-r`        | `2xs` `xs` `s` `m` `l` `xl` `2xl` `3xl` `4xl` | Внутренний отступ справа
`space-l`        | `2xs` `xs` `s` `m` `l` `xl` `2xl` `3xl` `4xl` | Внутренний отступ слева
`indent-v`       | `2xs` `xs` `s` `m` `l` `xl` `2xl` `3xl` `4xl` | Внешний отступ между элементами `item`
`stripe`         | `even` `odd`                                  | Зебрирование строк списка
`view`           | `default` `ghost`                             | Управляет фоном списка

___


## Элементы

### Элемент item

Единственный элемент паттерна, который определяет строку списка. Является контейнером для контента строки. Элементы `item` могут включать в себя друг друга.