# pt-table

`pt-table` — паттерн для создания простых плоских таблиц. Набор модификаторов покрывает максимальное количество как стилистических так и структурных потребностей. Также есть возможность маркеровать строки по статусу.

```html
<table class="pt-table">
    <tr class="pt-table__row">
        <td class="pt-table__col"></td>
        <td class="pt-table__col"></td>
        <td class="pt-table__col"></td>
    </tr>
</table>
```

## Живые примеры и дизайн

[pt-table на whitepaper.tools](http://whitepaper.tools/doc.html#/pt-table)


## Модификаторы блока

Модификаторы     | Значение                | Описание
---------------- | ----------------------- | -------------------------------
`border`         | `around` `between`      | Параметры обводки таблицы: вокруг всей таблицы или после каждой строк
`view`           | `default`               | Фон всей таблицы
`stripe`         | `even` `odd`            | Выделение фона чётных или нечётных строк
`vertical-align` | `bottom` `center` `top` | Вертикальное выравние контента в строках
`space-a`        | `xs` `s` `m` `l`        | Отступы со всех сторон у вложенных элементов `col`
`space-h`        | `xs` `s` `m` `l`        | Отступы по горизонтали у вложенных элементов `col`
`space-v`        | `xs` `s` `m` `l`        | Отступы по вертикали у вложенных элементов `col`

___


## Элементы блока

Элемент   | Описание
--------- | -----------------------------------------
`row`     | Строка таблицы
`col`     | Колонка таблицы, вкладывается в строку

___


### Элемент row

Основные дочерние элементы паттерна — элементы `row`.

Модификаторы элемента `row` | Значение                              | Описание
--------------------------- | ------------------------------------- | -------------------------------------
`view`                      | `head`                                | Оформление строки как шапки таблицы
`status`                    | `alert` `default` `success` `warning` | Статусная маркировка строки

___


### Элемент col

Элемент `col` отвечает за колонки таблицы. Колонки вкладываются в элемент `row`

Модификаторы элемента `col`  | Значение                | Описание
---------------------------- | ----------------------- | ---------------------------
`align`                      | `left` `center` `right` | Выравнивание по горизонтали
`width`                      | `5` `10` `15` `20` `25` `30` `35` `40` `45` `50` `55` `60` `65` `70` `75` `80` `85` `90` `95` `100` | Ширина ячейки в процентах от ширины таблицы