# tag

Идентификатор для категоризации, описания, поиска данных и задания внутренней структуры.

Блок `tag` может быть информационным, а может быть ссылкой. Также тег может быть редактируемым. Если тег можно редактировать, то к нему в контент нужно положить контрол, как в примере.

``` html
<div class="tag tag_view_default tag_size_m">
    <div class="tag__text">default</div>
    <div class="tag__delete icon icon_size_s icon_view_ghost"></div>
</div>
```

## Живые примеры и дизайн

[tag на whitepaper.tools](http://whitepaper.tools/doc.html#/content-tag)


## Модификаторы блока

Модификатор | Значение                   | Описание
------------|----------------------------|---------
`view`      | `default` `disable` `link` | Цвет
`size`      | `m` `s`                    | Размер

___


## Элементы

### Элемент text

Элемент-контейнер для текста внутри тега. Используется совместно с контролом.

### Элемент delete

Элемент-контейнер для иконки внутри контрола. Используется совместно с текстом.